Summary:	Management tools for the TPM hardware
Summary(pl.UTF-8):	Narzędzia zarządzające sprzętem TPM
Name:		tpm-tools
Version:	1.3.8
Release:	1
License:	CPL v1.0+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/trousers/%{name}-%{version}.tar.gz
# Source0-md5:	85a978c4e03fefd4b73cbeadde7c4d0b
Patch0:		%{name}-link.patch
URL:		http://trousers.sourceforge.net/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake >= 1.6
BuildRequires:	gettext >= 0.15
BuildRequires:	libtool
BuildRequires:	opencryptoki-devel >= 2.2.4
BuildRequires:	openssl-devel
BuildRequires:	trousers-devel >= 0.3.9
Requires:	trousers-libs >= 0.3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tpm-tools is a group of tools to manage and utilize the Trusted
Computing Group's TPM hardware. TPM hardware can create, store and use
RSA keys securely (without ever being exposed in memory), verify a
platform's software state using cryptographic hashes and more.

%description -l pl.UTF-8
tpm-tools to grupa narzędzi do zarządzania i wykorzystywania sprzętu
TPM opracowanego przez Trusted Computing Group. Sprzęt TPM potrafi
tworzyć, przechowywać i wykorzystywać klucze RSA w sposób bezpieczny
(bez ujawniania ich kiedykolwiek w pamięci), weryfikować stan
oprogramowania przy użyciu skrótów kryptograficznych itp.

%package devel
Summary:	Header files for tpm_unseal library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tpm_unseal
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	trousers-devel >= 0.3.9
Obsoletes:	tpm-tools-static

%description devel
Header files for tpm_unseal library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tpm_unseal.

%package pkcs11
Summary:	Data management tools that use a PKCS#11 interface to the TPM
Summary(pl.UTF-8):	Narzędzia do zarządzania danymi wykorzystujace interfejs PKCS#11 do TPM
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	opencryptoki >= 2.2.4

%description pkcs11
tpm-tools-pkcs11 is a group of tools that uses the TPM PKCS#11 token
developed in the opencryptoki project. All data contained in the
PKCS#11 data store is protected by the TPM (keys, certificates, etc.).
You can import keys and certificates, list out the objects in the data
store, and protect data.

%description pkcs11 -l pl.UTF-8
tpm-tools-pkcs11 to grupa narzędzi wykorzystujących token TPM PKCS#11
opracowany w ramach projektu opencryptoki. Wszystkie dane zawarte w
kontenerze PKCS#11 są chronione przez TPM (klucze, certyfikaty itp.).
Narzędzia pozwalają importować klucze i certyfikaty, wypisywać listę
obiektów w kontenerze i chronić dane.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/tpm_*
%attr(755,root,root) %{_sbindir}/tpm_*
%attr(755,root,root) %{_libdir}/libtpm_unseal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtpm_unseal.so.1
%{_mandir}/man1/tpm_*.1*
%{_mandir}/man8/tpm_*.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtpm_unseal.so
%{_libdir}/libtpm_unseal.la
%{_includedir}/tpm_tools
%{_mandir}/man3/tpmUnseal*.3*

%files pkcs11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tpmtoken_*
%{_mandir}/man1/tpmtoken_*.1*
%changelog
* Sun Sep 02 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tpm-tools.git;a=log;h=master

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 6e7f171
- updated to 1.3.8
- removed obsolete missing-mans patch

* Mon Jun 20 2011 Jakub Bogusz <qboosh@pld-linux.org> b7843a2
- updated to 1.3.6
- added link patch to fix linking with no-add-needed
- added missing-mans patch (missing man pages taken from git)

* Sun Oct 10 2010 Jakub Bogusz <qboosh@pld-linux.org> a5ddd47
- updated to 1.3.5

* Fri Dec 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 63ee2ba
- updated to 1.3.1

* Mon Sep 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 2d57535
- new

